org.fourthline.cling.model.message.header

## Class LocationHeader

- java.lang.Object
- - org.fourthline.cling.model.message.header.UpnpHeader<URL>
  - - org.fourthline.cling.model.message.header.LocationHeader

-     public class LocationHeader
      extends UpnpHeader<URL>

  TODO: UDA 1.1 says it should be RfC 3986 compatible.

  See http://blog.jclark.com/2008/11/what-allowed-in-uri.html

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.model.message.header.UpnpHeader

      `UpnpHeader.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocationHeader()`
    `LocationHeader(String s)`
    `LocationHeader(URL value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getString()`
    `void` | `setString(String s)`

    - ### Methods inherited from class org.fourthline.cling.model.message.header.UpnpHeader

      `getValue, newInstance, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocationHeader

          public LocationHeader()

    - #### LocationHeader

          public LocationHeader(URL value)

    - #### LocationHeader

          public LocationHeader(String s)

  - ### Method Detail

    - #### setString

          public void setString(String s)
                         throws InvalidHeaderException

      Specified by:
        `setString` in class `UpnpHeader<URL>`
      Parameters:
        `s` - This header's value as a string representation.
      Throws:
        `InvalidHeaderException` - If the value is invalid for this UPnP header.

    - #### getString

          public String getString()

      Specified by:
        `getString` in class `UpnpHeader<URL>`
      Returns:
        A string representing this header's value.

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.